default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.JpaEndpointConsumerBuilder.advanced() |
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.bridgeErrorHandler(boolean bridgeErrorHandler) |
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.bridgeErrorHandler(String bridgeErrorHandler) |
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.entityManagerProperties(String key,
Object value) |
Additional properties for the entity manager to use.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.entityManagerProperties(Map values) |
Additional properties for the entity manager to use.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exceptionHandler(String exceptionHandler) |
To let the consumer use a custom ExceptionHandler.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exceptionHandler(org.apache.camel.spi.ExceptionHandler exceptionHandler) |
To let the consumer use a custom ExceptionHandler.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exchangePattern(String exchangePattern) |
Sets the exchange pattern when the consumer creates an exchange.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.exchangePattern(org.apache.camel.ExchangePattern exchangePattern) |
Sets the exchange pattern when the consumer creates an exchange.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.parameters(String key,
Object value) |
This key/value mapping is used for building the query parameters.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.parameters(Map values) |
This key/value mapping is used for building the query parameters.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.pollStrategy(String pollStrategy) |
A pluggable org.apache.camel.PollingConsumerPollingStrategy allowing
you to provide your custom implementation to control error handling
usually occurred during the poll operation before an Exchange have
been created and being routed in Camel.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.pollStrategy(org.apache.camel.spi.PollingConsumerPollStrategy pollStrategy) |
A pluggable org.apache.camel.PollingConsumerPollingStrategy allowing
you to provide your custom implementation to control error handling
usually occurred during the poll operation before an Exchange have
been created and being routed in Camel.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.sharedEntityManager(boolean sharedEntityManager) |
Whether to use Spring's SharedEntityManager for the
consumer/producer.
|
default JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder |
JpaEndpointBuilderFactory.AdvancedJpaEndpointConsumerBuilder.sharedEntityManager(String sharedEntityManager) |
Whether to use Spring's SharedEntityManager for the
consumer/producer.
|